
GammaLib - Bug #1482

Elliptical disk model segmentation fault 

06/22/2015 05:20 PM - Forest Florent

Status: Rejected Start date: 06/22/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Simulating the elliptical disk model xml file with the ctobssim tool results in a segmentation fault.

Ouput when running ctobssim in gdb:

$ gdb ctobssim

GNU gdb (GDB) Red Hat Enterprise Linux (7.0.1-23.el5_5.2)

Copyright (C) 2009 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-redhat-linux-gnu".

For bug reporting instructions, please see:

<http://www.gnu.org/software/gdb/bugs/&gt;...

Reading symbols from /home/forest/install/gamma/bin/ctobssim...done.

(gdb) run

Starting program: /home/forest/install/gamma/bin/ctobssim

[Thread debugging using libthread_db enabled]

RA of pointing (degrees) (0-360) [83.63]

Dec of pointing (degrees) (-90-90) [22.01]

Radius of FOV (degrees) (0-180) [5.0]

Start time (MET in s) [0.0]

End time (MET in s) [1800.0]

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2]

Instrument response function [South_50h]

Model [$CTOOLS/share/models/crab.xml] /home/forest/git/gammalib/test/data/model_elliptical_disk.xml

Output event data file or observation definition file [events.fits]

[New Thread 0x40800940 (LWP 23473)]

[New Thread 0x41001940 (LWP 23474)]

[New Thread 0x41802940 (LWP 23475)]

[New Thread 0x42003940 (LWP 23476)]

[New Thread 0x42804940 (LWP 23477)]

[New Thread 0x43005940 (LWP 23478)]

[New Thread 0x43806940 (LWP 23479)]

[New Thread 0x44007940 (LWP 23480)]

[New Thread 0x44808940 (LWP 23481)]

[New Thread 0x45009940 (LWP 23482)]

[New Thread 0x4580a940 (LWP 23483)]

[New Thread 0x4600b940 (LWP 23484)]

[New Thread 0x4680c940 (LWP 23485)]

[New Thread 0x4700d940 (LWP 23486)]

[New Thread 0x4780e940 (LWP 23487)]

[New Thread 0x4800f940 (LWP 23488)]

[New Thread 0x48810940 (LWP 23489)]

[New Thread 0x49011940 (LWP 23490)]

[New Thread 0x49812940 (LWP 23491)]

[New Thread 0x4a013940 (LWP 23492)]

[New Thread 0x4a814940 (LWP 23493)]

[New Thread 0x4b015940 (LWP 23494)]

[New Thread 0x4b816940 (LWP 23495)]
[New Thread 0x4c017940 (LWP 23496)]

[New Thread 0x4c818940 (LWP 23497)]

[New Thread 0x4d019940 (LWP 23498)]

[New Thread 0x4d81a940 (LWP 23499)]

[New Thread 0x4e01b940 (LWP 23500)]

[New Thread 0x4e81c940 (LWP 23501)]

[New Thread 0x4f01d940 (LWP 23502)]

[New Thread 0x4f81e940 (LWP 23503)]

[New Thread 0x5001f940 (LWP 23504)]

[New Thread 0x50820940 (LWP 23505)]

[New Thread 0x51021940 (LWP 23506)]

[New Thread 0x51822940 (LWP 23507)]

[New Thread 0x52023940 (LWP 23508)]

[New Thread 0x52824940 (LWP 23509)]

[New Thread 0x53025940 (LWP 23510)]

[New Thread 0x53826940 (LWP 23511)]

[New Thread 0x54027940 (LWP 23512)]

[New Thread 0x54828940 (LWP 23513)]

[New Thread 0x55029940 (LWP 23514)]

[New Thread 0x5582a940 (LWP 23515)]

[New Thread 0x5602b940 (LWP 23516)]

[New Thread 0x5682c940 (LWP 23517)]

[New Thread 0x5702d940 (LWP 23518)]

[New Thread 0x5782e940 (LWP 23519)]

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff7b7f5e0 in GModelSpatialEllipticalDisk::eval (this=0x884de0, theta=@0x7fffffffc940,

posangle=@0x3fefffff, energy=<value optimized out>, time=<value optimized out>)

at GModelSpatialEllipticalDisk.cpp:299

299             double diff_angle = posangle - m_posangle.value() * gammalib::deg2rad;

History

#1 - 06/22/2015 05:23 PM - Forest Florent

- Description updated

#2 - 06/22/2015 05:40 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.0.0

- % Done changed from 0 to 10

I was not able to reproduce the problem with the code that is in devel:

$ ctobssim

RA of pointing (degrees) (0-360) [83.63]

Dec of pointing (degrees) (-90-90) [22.01]

Radius of FOV (degrees) (0-180) [5.0]

Start time (MET in s) [0.0]

End time (MET in s) [1800.0]

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2]

Instrument response function [South_50h]

Model [$CTOOLS/share/models/crab.xml] elliptical_disk.xml

Output event data file or observation definition file [events.fits]

[knodlseder@kepler issue1428]$ more ctobssim.log

2015-06-22T15:36:08: ********************************************************************************

2015-06-22T15:36:08: *                                   ctobssim                                   *

2015-06-22T15:36:08: * ---------------------------------------------------------------------------- *

2015-06-22T15:36:08: * Version: 1.0.0                                                               *

2015-06-22T15:36:08: ********************************************************************************

2015-06-22T15:36:20: +============+

2015-06-22T15:36:20: | Parameters |

2015-06-22T15:36:20: +============+
2015-06-22T15:36:20:  inobs .....................: NONE

2015-06-22T15:36:20:  inmodel ...................: elliptical_disk.xml

2015-06-22T15:36:20:  outevents .................: events.fits

2015-06-22T15:36:20:  prefix ....................: sim_events_

2015-06-22T15:36:20:  caldb .....................: prod2

2015-06-22T15:36:20:  irf .......................: South_50h

2015-06-22T15:36:20:  seed ......................: 1

2015-06-22T15:36:20:  ra ........................: 83.63

2015-06-22T15:36:20:  dec .......................: 22.01

2015-06-22T15:36:20:  rad .......................: 5.0

2015-06-22T15:36:20:  tmin ......................: 0.0

2015-06-22T15:36:20:  tmax ......................: 1800.0

2015-06-22T15:36:20:  emin ......................: 0.1

2015-06-22T15:36:20:  emax ......................: 100.0

2015-06-22T15:36:20:  edisp .....................: no

2015-06-22T15:36:20:  deadc .....................: 0.95

2015-06-22T15:36:20:  maxrate ...................: 1.0e6

2015-06-22T15:36:20:  chatter ...................: 2

2015-06-22T15:36:20:  clobber ...................: yes

2015-06-22T15:36:20:  debug .....................: no

2015-06-22T15:36:20:  mode ......................: ql

2015-06-22T15:36:20:  logfile ...................: ctobssim.log

2015-06-22T15:36:20:

2015-06-22T15:36:20: +================+

2015-06-22T15:36:20: | Execution mode |

2015-06-22T15:36:20: +================+

2015-06-22T15:36:20:  Event list management .....: Save and dispose (reduces memory needs)

2015-06-22T15:36:20:  Output format .............: Write single event list FITS file

2015-06-22T15:36:20:

2015-06-22T15:36:20: +=============+

2015-06-22T15:36:20: | Seed values |

2015-06-22T15:36:20: +=============+

2015-06-22T15:36:20:  Seed 0 ....................: 9717486569

2015-06-22T15:36:20:

2015-06-22T15:36:20: +=============+

2015-06-22T15:36:20: | Observation |

2015-06-22T15:36:20: +=============+

2015-06-22T15:36:20: === GObservations ===

2015-06-22T15:36:20:  Number of observations ....: 1

2015-06-22T15:36:20:  Number of predicted events : 0

2015-06-22T15:36:20: === GCTAObservation ===

2015-06-22T15:36:20:  Name ......................:

2015-06-22T15:36:20:  Identifier ................:

2015-06-22T15:36:20:  Instrument ................: CTA

2015-06-22T15:36:20:  Event file ................:

2015-06-22T15:36:20:  Event type ................: EventList

2015-06-22T15:36:20:  Statistics ................: Poisson

2015-06-22T15:36:20:  Ontime ....................: 1800 s

2015-06-22T15:36:20:  Livetime ..................: 1710 s

2015-06-22T15:36:20:  Deadtime correction .......: 0.95

2015-06-22T15:36:20:  User energy range .........: undefined

2015-06-22T15:36:20: === GCTAPointing ===

2015-06-22T15:36:20:  Pointing direction ........: (RA,Dec)=(83.63,22.01)

2015-06-22T15:36:20: === GCTAResponseIrf ===

2015-06-22T15:36:20:  Caldb mission .............: cta

2015-06-22T15:36:20:  Caldb instrument ..........: prod2

2015-06-22T15:36:20:  Response name .............: South_50h

2015-06-22T15:36:20:  Energy dispersion .........: Not used

2015-06-22T15:36:20:  Save energy range .........: undefined

2015-06-22T15:36:20: === GCTAEventList ===

2015-06-22T15:36:20:  Number of events ..........: 0

2015-06-22T15:36:20:  Time interval .............: 51544.5 - 51544.5 days

2015-06-22T15:36:20:  Energy interval ...........: 0.1 - 100 TeV

2015-06-22T15:36:20:  Region of interest ........: RA=83.63, DEC=22.01 [0,0] Radius=5 deg

2015-06-22T15:36:20:

2015-06-22T15:36:20: +======================+

2015-06-22T15:36:20: | Simulate observation |

2015-06-22T15:36:20: +======================+

2015-06-22T15:36:20: === Observation ===

2015-06-22T15:36:20:  Simulation area ...........: 1.9635e+11 cm2

2015-06-22T15:36:20:  Simulation cone ...........: RA=83.63 deg, Dec=22.01 deg, r=5.5 deg

2015-06-22T15:36:20:  Time interval .............: 0 - 1800 s

2015-06-22T15:36:20:  Photon energy range .......: 100 GeV - 100 TeV

2015-06-22T15:36:20:  Event energy range ........: 100 GeV - 100 TeV

2015-06-22T15:37:33:  MC source photons .........: 2785008 [Cen A lobes]
2015-06-22T15:37:33:  MC source events ..........: 42181 [Cen A lobes]

2015-06-22T15:37:33:  MC source events ..........: 42181 (all source models)

2015-06-22T15:37:33:  MC events .................: 42181 (all models)

2015-06-22T15:37:35:

2015-06-22T15:37:35: +==================+

2015-06-22T15:37:35: | Save observation |

2015-06-22T15:37:35: +==================+

2015-06-22T15:37:35:

2015-06-22T15:37:35: Application "ctobssim" terminated after 87 wall clock seconds, consuming 75.66 seconds of CPU time.

Maybe you need to recompile your code?

I think, however, that the code should be modified so that the reading of the XML file is all done at the base class level.

#3 - 06/29/2015 10:00 PM - Knödlseder Jürgen

- Status changed from In Progress to Rejected

This problem was related to a not properly compiled code. Reject.

Powered by TCPDF (www.tcpdf.org)

04/19/2024 4/4

http://www.tcpdf.org

